Update to 3.1 fails with "Zip warning" error

Wow. Here I am thinking I was the only one facing this issue … trying to download the regular installer now as is mentioned. Veeryyy sloww download speeed… must be a lot of people doing the same thing.

Well that was shortlived … I still get the same errors after installing over the top of the update.

zip warning: Input/output error